package com.junmp.jyzb.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName base_bus_form
 */
@TableName(value ="bussiness_bus_form")
@Data
public class BusForm implements Serializable {
    /**
     * id
     */
    @TableId(value = "id",type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 工作流id
     */
    @TableField(value = "process_id")
    private String processId;

    /**
     * 单据业务类型
     */
    @TableField(value = "bussiness_type")
    private String bussinessType;

    /**
     * 单据编号
     */
    @TableField(value = "order_code")
    private String orderCode;

    /**
     * 发物单位id
     */
    @TableField(value = "start_org_id")
    private Long startOrgId;

    /**
     * 发物单位
     */
    @TableField(value = "start_org_name")
    private String startOrgName;

    /**
     * 收物单位id
     */
    @TableField(value = "end_org_id")
    private Long endOrgId;

    /**
     * 收物单位
     */
    @TableField(value = "end_org_name")
    private String endOrgName;

    /**
     * 审核状态
     */
    @TableField(value = "examine_state")
    private String examineState;

    /**
     * 价格
     */
    @TableField(value = "price")
    private BigDecimal price;

    /**
     * 数量
     */
    @TableField(value = "inventory_quantity")
    private Integer inventoryQuantity;

    /**
     * 附件地址
     */
    @TableField(value = "attachment_location")
    private String attachmentLocation;

    /**
     * 装备集合
     */
    @TableField(value = "inv_list")
    private String invList;

    /**
     * 归还人id
     */
    @TableField(value = "return_user_id")
    private String returnUserId;

    /**
     * 归还人
     */
    @TableField(value = "return_user")
    private String returnUser;

    /**
     * 归还日期
     */
    @TableField(value = "return_date")
    private Date returnDate;

    /**
     * 申请时间
     */
    @TableField(value = "apply_time")
    private Date applyTime;

    /**
     * 申请人
     */
    @TableField(value = "apply_user")
    private String applyUser;

    /**
     * 调拨类型（0支拨，1价拨）
     */
    @TableField(value = "transfer_type")
    private Integer transferType;

    /**
     * 备注
     */
    private String note;

    /**
     * 生产厂商id
     */
    @TableField(value = "manufacturer_id")
    private String manufacturerId;

    /**
     * 生产厂商名称
     */
    @TableField(value = "manufacturer_name")
    private String manufacturerName;

    /**
     * 装备详情
     */
    @TableField(value = "item_details")
    private String itemDetails;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    private Date updateTime;

    /**
     * 创建人
     */
    @TableField(value = "create_user")
    private String createUser;

    /**
     * 更新人
     */
    @TableField(value = "update_user")
    private String updateUser;

    private static final long serialVersionUID = 1L;

}